Bug 589827 - requires elfutils-libelf?
Summary: requires elfutils-libelf?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-07 02:19 UTC by Bill Nottingham
Modified: 2014-03-17 03:23 UTC (History)
3 users (show)

Fixed In Version: dracut-005-5.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-27 22:54:49 UTC
Type: ---


Attachments (Terms of Use)

Description Bill Nottingham 2010-05-07 02:19:03 UTC
Description of problem:

It's not clear why dracut requires elfutils-libelf (especially as that's a library-only package).

Also, dracut requires binutils, apparently only for /usr/bin/nm. It could be redone to use eu-nm from elfutils, which could theoretically save some space.
(Might be over-optimizing, though.)

Version-Release number of selected component (if applicable):

dracut-005-3.fc13.noarch

How reproducible:

100%

Comment 1 Harald Hoyer 2010-05-07 08:29:31 UTC
(In reply to comment #0)
> Description of problem:
> 
> It's not clear why dracut requires elfutils-libelf (especially as that's a
> library-only package).

true, might be some old crufty requirement

> 
> Also, dracut requires binutils, apparently only for /usr/bin/nm. It could be
> redone to use eu-nm from elfutils, which could theoretically save some space.
> (Might be over-optimizing, though.)

hmm, binutils is required anyway for "strip". And "nm" is not copied over to the initramfs. So it would not be a saving.

Comment 2 Fedora Update System 2010-09-23 15:31:22 UTC
dracut-005-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/dracut-005-4.fc13

Comment 3 Fedora Update System 2010-09-23 15:32:50 UTC
dracut-005-4.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/dracut-005-4.fc12

Comment 4 Fedora Update System 2010-09-24 20:38:30 UTC
dracut-005-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dracut'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/dracut-005-4.fc12

Comment 5 Fedora Update System 2010-10-27 22:53:20 UTC
dracut-005-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-10-30 23:37:58 UTC
dracut-005-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.